View Issue Details

IDProjectCategoryView StatusLast Update
0032745CommunityPRODUCTS:PMI Visualizationpublic2022-01-31 16:34
Reporterrobertlipman Assigned Tokgv  
PrioritynormalSeveritymajor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032745: PMI Visualization - NULL dereference while on sample STEP file
DescriptionThe attached STEP files cannot be imported to CAD Assistant 1.6.0.2. However, they do work with our NIST STEP to X3D Translator that is based on OCCT 7.6.0. https://github.com/usnistgov/STP2X3D I think I submitted these files before with another issue.
Steps To ReproduceImport the STEP files to CAD Assistant

pload XDE OCAF VISUALIZATION MODELING
ReadStep D part1.stp

vinit View1
XDisplay -dispMode 1 D
vfit

pload -DrawPluginProducts PMIVIS
PMIimport -doc D


Result:
PMI dimension import -> object '0:1:4:4' : document object does not contain semantic information. Skipping object for display.
PMI dimension import -> object '0:1:4:5' : document object does not contain semantic information. Skipping object for display.
An exception was caught 0000023C42946850 : OSD_Exception_ACCESS_VIOLATION: ACCESS VIOLATION at address 0x0000000000000000 during 'READ' operation
TagsNo tags attached.
Test case numberpmivis/bugs/bug32745

Attached Files

  • bug32745_part1.png (7,824 bytes)
  • bug32745_part2.png (28,870 bytes)
  • bug32745_pmi1.stp (174,293 bytes)
  • bug32745_pmi2.stp (1,515,553 bytes)

Activities

robertlipman

2021-12-20 19:32

reporter   ~0106117

I'm having problems attaching the example files.

robertlipman

2021-12-20 19:32

reporter   ~0106118

No problem now.

kgv

2021-12-20 22:12

developer   ~0106120

bug32745_part1.png (7,824 bytes)
bug32745_part2.png (28,870 bytes)

kgv

2021-12-20 22:13

developer   ~0106121

bug32745_pmi1.stp (174,293 bytes)
bug32745_pmi2.stp (1,515,553 bytes)

kgv

2021-12-21 01:56

developer   ~0106124

Last edited: 2021-12-21 01:57

Please raise trivial bug-fix adding NULL-checks
- OCC Products: branch CR32745.

http://jenkins-test-occt/view/master-CR32745-KGV/

After that it might worth to check if imported PMI entities are properly displayed / could be properly displayed within provided STEP samples.

smoskvin

2021-12-25 12:50

administrator   ~0106191

Combination -
OCCT branch : IR-2021-12-24
master SHA - bcecb5832b2749a588c0877099e4909f2523f499
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-24 SHA - 684d33a93d81a396019446b148f5c89157667fbb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18175.950000000386 / 18206.72000000041 [-0.17%]
Products
Total CPU difference: 11591.210000000114 / 11647.080000000102 [-0.48%]
Windows-64-VC14:
OCCT
Total CPU difference: 19974.5625 / 20013.0 [-0.19%]
Products
Total CPU difference: 13088.09375 / 13094.75 [-0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Related Changesets

occt-products: master 99881ad7

2021-12-20 21:58:14

kgv

Details Diff
0032745: PMI Visualization - NULL dereference while on sample STEP file

PMIVis_ShapeTool::GetCircularGeometry() - added NULL check.
Affected Issues
0032745
mod - src/PMIVis/PMIVis_Tools.cxx Diff File
add - tests/pmivis/bugs/bug32745 Diff File

Issue History

Date Modified Username Field Change
2021-12-20 19:04 robertlipman New Issue
2021-12-20 19:04 robertlipman Assigned To => gka
2021-12-20 19:32 robertlipman Note Added: 0106117
2021-12-20 19:32 robertlipman File Added: part1.stp
2021-12-20 19:32 robertlipman File Added: part2.stp
2021-12-20 19:32 robertlipman Note Added: 0106118
2021-12-20 21:28 kgv Category OCCT:Data Exchange => PRODUCTS:PMI Visualization
2021-12-20 21:28 kgv Target Version => 7.7.0
2021-12-20 21:50 kgv Steps to Reproduce Updated
2021-12-20 21:51 kgv Summary CAD Assistant cannot import STEP files => PMI Visualization - NULL dereference while on sample STEP file
2021-12-20 22:12 kgv Note Added: 0106120
2021-12-20 22:12 kgv File Added: bug32745_part1.png
2021-12-20 22:12 kgv File Added: bug32745_part2.png
2021-12-20 22:13 kgv Note Added: 0106121
2021-12-20 22:13 kgv File Added: bug32745_pmi1.stp
2021-12-20 22:13 kgv File Added: bug32745_pmi2.stp
2021-12-20 22:13 kgv File Deleted: part1.stp
2021-12-20 22:13 kgv File Deleted: part2.stp
2021-12-21 01:56 kgv Assigned To gka => bugmaster
2021-12-21 01:56 kgv Status new => resolved
2021-12-21 01:56 kgv Test case number => pmivis/bugs/bug32745
2021-12-21 01:56 kgv Note Added: 0106124
2021-12-21 01:56 kgv Status resolved => reviewed
2021-12-21 01:57 kgv Note Edited: 0106124
2021-12-25 12:50 smoskvin Status reviewed => tested
2021-12-25 12:50 smoskvin Note Added: 0106191
2021-12-25 17:13 kgv Changeset attached => occt-products master 99881ad7
2021-12-25 17:13 kgv Assigned To bugmaster => kgv
2021-12-25 17:13 kgv Status tested => verified
2021-12-25 17:13 kgv Resolution open => fixed